# Contributing

We welcome contributions to this project! Please follow these guidelines:

## How to Contribute

1. **Fork the repository:** Create your own fork of the project on GitHub.
2. **Create a branch:** Make your changes in a new git branch:

    ```bash
    git checkout -b my-fix-branch main
    ```

3. **Install dependencies:** Ensure you have the necessary development dependencies installed.
4. **Make changes:** Implement your fix or feature.
5. **Test your changes:** Run the test suite to ensure your changes don't break anything.
6. **Commit your changes:** Commit your changes with a clear commit message:

    ```bash
    git commit -am 'Add some feature'
    ```

7. **Push to the branch:** Push your changes to your fork:

    ```bash
    git push origin my-fix-branch
    ```

8. **Submit a pull request:** Open a pull request from your fork to the main project repository.

## Code Style

Please follow the existing code style (e.g., using Black, Flake8, isort as configured in the project).

## Reporting Bugs

If you find a bug, please open an issue on GitHub and provide detailed steps to reproduce it.

Thank you for contributing!
